#ifndef HDR_SHOW_ACTIONS_HPP__
#define HDR_SHOW_ACTIONS_HPP__

#include <cstdint>
#include <string>

namespace game_state
{
	enum class ShifterShape;
	enum class Modifier;
}

namespace show
{
	void InitMainMenu();
	void InitGameMenu();
	void InitMessageQueue();

	void MainMenuDown();
	void MainMenuUp();
	void MainMenuLeft();
	void MainMenuRight();
	int32_t GetMainMenuChoice();
	void ShowMainMenu(const int32_t& w, const int32_t& h);

	void GameMenuUp();
	void GameMenuDown();
	void GameMenuLeft();
	void GameMenuRight();
	int32_t GetGameMenuChoice();
	void ShowGameMenu(const int32_t& w, const int32_t& h);

	void PrintMessage(const std::string& message);
	void ShowMessages(const int32_t& w, const int32_t& h);

	void ShowAttack(const game_state::ShifterShape& shape, const game_state::Modifier& mod);
	void ShowShift(const game_state::ShifterShape& shape);

	void WaitForKey();
}

#endif // HDR_SHOW_ACTIONS_HPP__
